000010*@M	       MAIN
000020 IDENTIFICATION DIVISION.
000030 PROGRAM-ID. WEBTEST.
000040 DATE-COMPILED.
000050* ------------------------: GS time WEBPAN
000060*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000070 ENVIRONMENT DIVISION.
000080*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000090 CONFIGURATION SECTION.
000100 SOURCE-COMPUTER. IBM-PC.
000110 OBJECT-COMPUTER. IBM-PC.
000120*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000130 DATA DIVISION.
000140*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000150 WORKING-STORAGE SECTION.
       01  V--VERSION-LEVEL PIC 9(3) VALUE 59.				040802ja
000170*
000180* ------------------------: Copy a main panel
000190	       COPY WEBMAIN.
000200*
000210* ------------------------: Copy the panel for the WEBPAN
000220	       COPY WEBPAN.
000230*
000240	       COPY WEBGET.
000250	       COPY WIN32API.
000260 01  DISPLAY-WEB-SIZE		    PIC ZZZ,ZZZ,ZZZ-.
000260 01  DUMMY			    PIC X.
       01  WS-BIG-SPACE.
	   05 WS-LITTLE-SPACE-1 	    PIC X(500). 		040802ja
	   05 WS-BIG-SPACE-1		    PIC X(32000).		040802ja
	   05 WS-BIG-SPACE-2		    PIC X(32000).
	   05 WS-BIG-SPACE-3		    PIC X(32000).
000270*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000280 PROCEDURE DIVISION.
000290*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000300*
000310	   PERFORM 0101-INITIALIZE-GS.
000320*
000330* ------------------------: Display the test panel.
000340*
000350	   PERFORM WITH TEST AFTER
000360		 UNTIL WEBPAN-EVENT-CLOSE-AND-STOP
000370		 OR WEBPAN-CANCEL
000380*
000390	     CALL 'GS' USING WEBPAN-1
000400			     WEBPAN-2
000410			     WEBPAN-3
000420			     WEBPAN-4
000430	     EVALUATE TRUE
000440	       WHEN WEBPAN-WEB-FETCH
		 MOVE SPACE TO WEBPAN-MESSAGE-TEXT WS-BIG-SPACE
000450		 MOVE WEB-SERVER TO WEBGET-HOST-NAME
000460		 MOVE 'Tester' TO WEBGET-USER-AGENT
000470		 MOVE WEB-PAGE TO WEBGET-PAGE-NAME
000480		 MOVE LENGTH OF WS-BIG-SPACE TO WEBGET-BUFFER-SIZE
000490		 SET FUNC-GETWEBPAGE TO TRUE
000500		 CALL 'GSWINAPI' USING WIN32API-PARMS
000510				       WEBGET-PARMS
000520				       WS-BIG-SPACE
000530				       DUMMY
000540				       DUMMY
000550				       DUMMY
000560				       DUMMY
		 MOVE WS-BIG-SPACE TO WEB-CONTENT

		 IF WIN32API-FAILED
000570		   MOVE WIN32API-ERROR-TEXT TO WEBPAN-MESSAGE-TEXT
		 ELSE
      * 			: Note: web content starts at the
      * 			: byte immediatly following two
      * 			: consecutive CRLF pairs x'0D0A0D0A'
      * 			: But for perposes of demonstration
      * 			: we will display the whole thing
		   MOVE WEBGET-BUFFER-SIZE TO DISPLAY-WEB-SIZE
		   STRING 'Received byte count: ' DISPLAY-WEB-SIZE
		   DELIMITED SIZE INTO WEBPAN-MESSAGE-TEXT
		 END-IF
000580		 SET WEBPAN-MESSAGE-BAR-SILENT TO TRUE
000590	     END-EVALUATE
000600	   END-PERFORM.
000610*
000620* ------------------------: Close the main before doing a STOP RUN
000630*
000640	   SET WEBMAIN-DO-CLOSE TO TRUE.
000650	   CALL 'GS' USING WEBMAIN-1
000660			   WEBMAIN-2
000670			   WEBMAIN-3
000680			   WEBMAIN-4.
000690	   STOP RUN.
000700*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000710 0100-GS-UTILITY SECTION.
000720*
000730 0101-INITIALIZE-GS.
000740* 			:---------------------------------------
000750* ------------------------: Open the application window (the
000760* 			: container for this application)
000770* 			:---------------------------------------
000780*
000790	   CALL 'GS' USING WEBMAIN-1
000800			   WEBMAIN-2
000810			   WEBMAIN-3
000820			   WEBMAIN-4.
